class TangheemType {
  int totalItemsCount;
  int statusCode;
  String message;
  List<TangheemTypeData> data;

  TangheemType({this.totalItemsCount, this.statusCode, this.message, this.data});

  TangheemType.fromJson(Map<String, dynamic> json) {
    totalItemsCount = json['totalItemsCount'];
    statusCode = json['statusCode'];
    message = json['message'];
    if (json['data'] != null) {
      data = [];
      json['data'].forEach((v) {
        data.add(new TangheemTypeData.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['totalItemsCount'] = this.totalItemsCount;
    data['statusCode'] = this.statusCode;
    data['message'] = this.message;
    if (this.data != null) {
      data['data'] = this.data.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class TangheemTypeData {
  String tangheemTypeId;
  String tangheemTypeName;
  bool isActive;
  int orderNo;
  String tangheemTypeDescription;
  int numberOfAyaTangheemType;

  TangheemTypeData({this.tangheemTypeId, this.tangheemTypeName, this.isActive});

  TangheemTypeData.fromJson(Map<String, dynamic> json) {
    tangheemTypeId = json['tangheemTypeId'];
    tangheemTypeName = json['tangheemTypeName'];
    isActive = json['isActive'];
    orderNo = json['orderNo'];
    tangheemTypeDescription = json['tangheemTypeDescription'];
    numberOfAyaTangheemType = json['numberOfAyaTangheemType'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['tangheemTypeId'] = this.tangheemTypeId;
    data['tangheemTypeName'] = this.tangheemTypeName;
    data['isActive'] = this.isActive;
    data['orderNo'] = this.orderNo;
    data['tangheemTypeDescription'] = this.tangheemTypeDescription;
    data['numberOfAyaTangheemType'] = this.numberOfAyaTangheemType;
    return data;
  }
}
